classification
Title: mailbox fails to round-trip a file to a Babyl mailbox
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: petri.lehtinen Nosy List: asvetlov, petri.lehtinen, python-dev, r.david.murray
Priority: normal Keywords: easy

Created on 2011-01-29 16:19 by r.david.murray, last changed 2012-08-16 20:58 by asvetlov. This issue is now closed.

Messages (8)
msg127434 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-01-29 16:19
One of the new tests introduced for #9124 fails for the Bably mailbox format.  The failing tests pass a file to the add method (test_add_binary_file, test_add_nonascii_binary_file, test_add_text_file_warns).  The failing part of the tests have been temporarily disabled for the Bably mailbox format since it is a pre-existing, unreported bug.
msg168277 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-08-15 10:59
This happens because of a bug in Babyl._install_message(). When adding a message from file, the "*** EOOH ***" line is written also after the second set of headers.
msg168282 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-15 11:42
New changeset ad8c9725c041 by Petri Lehtinen in branch '2.7':
#11062: Fix adding a message from file to Babyl mailbox
http://hg.python.org/cpython/rev/ad8c9725c041

New changeset cbc1dc8cda06 by Petri Lehtinen in branch '3.2':
#11062: Fix adding a message from file to Babyl mailbox
http://hg.python.org/cpython/rev/cbc1dc8cda06

New changeset 7c8c6b905a18 by Petri Lehtinen in branch 'default':
#11062: Fix adding a message from file to Babyl mailbox
http://hg.python.org/cpython/rev/7c8c6b905a18
msg168324 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-15 20:10
Reopen the issue because Windows tests is failed.

Commits for this issue breaks Windows buildbot for 3.2 and 3.3.
Looks like problem is: Windows os.linesep different than Unix.

I don't know what format expected by protocol.
msg168326 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-08-15 20:19
Yeah. Enabling the Babyl tests discovered yet another bug on a code path that wasn't excercised at all. I'll fix it.
msg168347 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-16 04:30
New changeset 770ffc91a82e by Petri Lehtinen in branch '3.2':
#11062: Fix universal newline support in Babyl._install_message()
http://hg.python.org/cpython/rev/770ffc91a82e

New changeset 5206b9dbf1ac by Petri Lehtinen in branch 'default':
#11062: Fix universal newline support in Babyl._install_message()
http://hg.python.org/cpython/rev/5206b9dbf1ac
msg168366 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-08-16 09:40
Tests are now passing on Windows, too. Closing.
msg168409 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-08-16 20:58
Thank you, Petri.
History
Date User Action Args
2012-08-16 20:58:27asvetlovsetmessages: + msg168409
2012-08-16 09:40:16petri.lehtinensetstatus: open -> closed
resolution: fixed
messages: + msg168366
2012-08-16 04:30:13python-devsetmessages: + msg168347
2012-08-15 20:19:31petri.lehtinensetassignee: petri.lehtinen
resolution: fixed -> (no value)
messages: + msg168326
2012-08-15 20:10:16asvetlovsetstatus: closed -> open
nosy: + asvetlov
messages: + msg168324

2012-08-15 11:44:00petri.lehtinensetversions: + Python 2.7
2012-08-15 11:43:29petri.lehtinensetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2012-08-15 11:42:19python-devsetnosy: + python-dev
messages: + msg168282
2012-08-15 10:59:51petri.lehtinensetnosy: + petri.lehtinen
messages: + msg168277
2011-01-29 16:19:35r.david.murraycreate